/* -------------
    SOMMAIRE
------------- */

/*
    @AUTHOR : Nicolas BOUDOT

    MOLÉCULE : PAGINATION
    Style de la pagination
*/



.molecule_pagination {
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
    background-color: var(--gray-200);
    border-radius: 50px;
	margin: 0;
	padding: 5px;
}

.molecule_pagination li {
	padding: 0;
	margin: 2px;
}

    .molecule_pagination li::before {
        display: none;
    }

.molecule_pagination li a,
.molecule_pagination li .dots,
.molecule_pagination li .page-number {
	display: flex;
	justify-content: center;
	align-items: center;
	background-color: var(--white);
	color: var(--c-primary);
    border-radius: 50%;
    font-size: 1.6rem;
	min-width: 30px;
	height: 30px;
}

    /* Hover */
    .molecule_pagination li > a:hover,
    /* Current */
    .molecule_pagination li .page-number.current {
        background-color: var(--c-quaternary);
        color: var(--white);
    }

/* Prev */
.molecule_pagination li .prev {
    transform: scaleX(-1);
}
